package org.jdtaus.core.container.mojo;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ContainerMojoBundle{ 

public static String getUnexpectedEndOfInputText(final Locale locale) {
    return getMessage("unexpectedEndOfInput", locale);
}

public static MessageFormat getUnexpectedEndOfInputMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unexpectedEndOfInput", locale), locale);
}

public static String getConstructorCommentText(final Locale locale) {
    return getMessage("constructorComment", locale);
}

public static MessageFormat getConstructorCommentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("constructorComment", locale), locale);
}

public static String getPropertyInitializerCommentText(final Locale locale) {
    return getMessage("propertyInitializerComment", locale);
}

public static MessageFormat getPropertyInitializerCommentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("propertyInitializerComment", locale), locale);
}

public static String getGeneratorWarningText(final Locale locale) {
    return getMessage("generatorWarning", locale);
}

public static MessageFormat getGeneratorWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("generatorWarning", locale), locale);
}

public static String getDependencyGetterText(final Locale locale) {
    return getMessage("dependencyGetter", locale);
}

public static MessageFormat getDependencyGetterMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("dependencyGetter", locale), locale);
}

public static String getSpecificationMetaDataCommentText(final Locale locale) {
    return getMessage("specificationMetaDataComment", locale);
}

public static MessageFormat getSpecificationMetaDataCommentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("specificationMetaDataComment", locale), locale);
}

public static String getDependencyConstructorCommentText(final Locale locale) {
    return getMessage("dependencyConstructorComment", locale);
}

public static MessageFormat getDependencyConstructorCommentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("dependencyConstructorComment", locale), locale);
}

public static String getPropertyGetterCommentText(final Locale locale) {
    return getMessage("propertyGetterComment", locale);
}

public static MessageFormat getPropertyGetterCommentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("propertyGetterComment", locale), locale);
}

public static String getMissingMarkersText(final Locale locale) {
    return getMessage("missingMarkers", locale);
}

public static MessageFormat getMissingMarkersMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("missingMarkers", locale), locale);
}

public static String getImplementationMetaDataCommentText(final Locale locale) {
    return getMessage("implementationMetaDataComment", locale);
}

public static MessageFormat getImplementationMetaDataCommentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("implementationMetaDataComment", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.core.container.mojo.ContainerMojo", locale).getString(key);
}

}
